<template>
  <div>
    <bg ref="coverBlur" :coverBlur="true"></bg>
    <div class="login-frame" v-show="loginFrame">
      <div class="login-item">
        <!-- <img class="login-avatar" src="../assets/img/mango-color.svg"> -->
        <div class="login-avatar"></div>
      </div>
      <div class="login-item">
        <span class="login-username">Mountains OS</span>
      </div>
      <div class="login-item login-input-sets">
        <div class="login-input-sets-item">
          <input
            class="login-input"
            type="password"
            @keyup.enter="loginHandle"
          >
        </div>
        <!-- <div class="login-input-sets-item">
          <div class="login-enter"></div>
        </div> -->
      </div>
    </div>
  </div>
</template>

<script>
export default {
  components: {
    Bg: () => import("./Bg.vue"),
  },
  data() {
    return {
      coverBlur: true,
      loginFrame: true
    }
  },
  methods: {
    fullScreen() {
      var docElm = document.documentElement;
      if (docElm.requestFullscreen) {
        docElm.requestFullscreen();
      } else if (docElm.mozRequestFullScreen) {
        docElm.mozRequestFullScreen();
      } else if (docElm.webkitRequestFullScreen) {
        docElm.webkitRequestFullScreen();
      } else if (elem.msRequestFullscreen) {
        elem.msRequestFullscreen();
      }
    },
    closeFullScreen() {
      if (document.exitFullscreen) {
        document.exitFullscreen();
      } else if (document.mozCancelFullScreen) {
        document.mozCancelFullScreen();
      } else if (document.webkitCancelFullScreen) {
        document.webkitCancelFullScreen();
      } else if (document.msExitFullscreen) {
        document.msExitFullscreen();
      }
    },
    async loginHandle() {
      this.loginFrame = false;
      await this.$refs.coverBlur.hideBlur();
      
      this.$router.push("/os");
    }
  }
};
</script>

<style>
.login-frame {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 100vh;
  width: 100vw;
  transition: all .4s;
}
.login-item {
  padding: 0.4rem;
}
.login-avatar {
  height: 4rem;
  width: 4rem;
  mask-image: url("../assets/img/mountain.svg");
  background-color: #eee;
}
.login-username {
  color: #eee;
  font-size: .8rem;
  /* filter: drop-shadow(0 1px 1px #000); */
}
.login-input-sets {
  display: flex;
}
.login-input-sets-item {
  padding: .2rem;
}
.login-input {
  height: 1.6rem;
  width: 12rem;
  border-radius: 0.2rem;
  display: inline-block;
  border: none;
  outline: none;
  padding: 0.2rem 0.5rem;
  color: #007acc;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.2);
  opacity: .3;
}
.login-enter {
  height: 1.6rem;
  width: 1.6rem;
  padding-top: .1rem;
  /* mask-image: url("../assets/img/enter.svg"); */
  background-color: rgba(255, 255, 255);
}
</style>
